# wgamesolv

Words Games Solver.  
Script d'aide à la résolution des jeux de mots style wordle

Utilisation : wgamesolv.py -fl L -nb 7 (autres options)

-d, --dictionary : dictionnaire à utiliser  
ex : -d SutomList.json  
Les dictionnaires sont récupérables ici :  
https://framagit.org/JonathanMM/sutom/-/blob/main/ts/mots/listeMotsProposables.ts  
Et :  
https://raw.githubusercontent.com/LouanBen/wordle-fr/main/mots.txt  

-fl, --firstLetter : première lettre du mot  
ex : -fl C  
Cette option est intéressante que l'on connaisse ou non la première lettre, il faut en choisir une pour limiter la liste de mots possibles.  

-nb, --nbLetters : nombre de lettres qui composent le mot  
ex : -nb 7  

-ft, --firstTry : optimise le premier essai en sortant les mots de -nb lettres, commençant par -fl lettre, ne contenant aucune lettre en plusieurs occurence et contenant -ft voyelles.  
ex : -ft 4  
Cette option peut être utilisée pour le tout premier essai, pour optimiser les chances d'avoir des lettres validées.  
Cette option est ensuite inutile ou contre-productive pour les essais suivants.  

-nd, --noDoubleLetters : filtre les mots composé d'une seule occurence de chaque lettre.

-kl, --knownLetters : lettres déjà validées  
ex : -kl AEP

-bl, --badLetters : lettres déjà invalidées  
ex : -bl ZTOR

-p, --pattern : lettres validées et bien placées, séparée par des '.' pour les lettres non validées  
ex : -p L..I... (le mots était LUCIOLE)

Exemple complet : wgamesolv.py -d SutomList.json -nb 7 -fl L -p L..I... -kl E -bl AMNR
